#ifndef APPDIALOGSETPERIODICANNOUNCEMENTCOMMAND_H
#define APPDIALOGSETPERIODICANNOUNCEMENTCOMMAND_H
#include <resip/dum/DumCommand.hxx>
#include <resip/dum/AppDialogSet.hxx>
#include <resip/dum/Handle.hxx>

class AppDialogSetPeriodicAnnouncementCommand: public resip::DumCommand{
private:
    std::string mFile;
    int mDelay;
    resip::AppDialogSetHandle mHandle;
public:
	AppDialogSetPeriodicAnnouncementCommand(std::string file, int delay,resip::AppDialogSetHandle h);
	~AppDialogSetPeriodicAnnouncementCommand();

    void executeCommand();
    Message* clone() const;
    std::ostream& encode(std::ostream& strm) const;
    std::ostream& encodeBrief(std::ostream& strm) const;

};

#endif

